/*
* demo.css
* File include item demo only specific css only
******************************************************************************/
.light-style .menu .app-brand.demo {
  height: 64px;
}

.dark-style .menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo {
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  display: -ms-flexbox;
  display: flex;
  width: 34px;
  height: 24px;
}

.app-brand-logo.demo svg {
  width: 35px;
  height: 24px;
}

.app-brand-text.demo {
  font-size: 1.375rem;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 50px !important;
}
/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}
.max-w-unset {
  max-width: unset;
}
.layout-title {
  margin-left: 2rem;
}
.filter-sidebar {
    position: fixed;
    max-height: 78vh;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #888 transparent;
}
.logout-menu {
    position: fixed;
    bottom: 10px;
}
.search-documents-menu {
    position: fixed;
    bottom: 100px;
}
.profile-menu {
    position: fixed;
    bottom: 60px;
}
.edit-menu {
  position: absolute;
  bottom: 40px;
}
.hidden {
    display: none !important;
}
.layout-page nav#layout-navbar {
    display: flex;
}
.layout-navbar.navbar-detached.container-xxl {
    max-width: 100%;
}
.layout-navbar-fixed .layout-navbar.navbar-detached,
.layout-navbar-fixed.layout-menu-collapsed .layout-navbar.navbar-detached {
    width: 100%;
}
.mr-2rem {
    margin-left: 2rem;
}
.disabled {
    color: #a5a3ae !important;
    background-color: rgba(75, 70, 92, 0.08) !important;
    pointer-events: none !important;
}
.main-top-alert {
    position: absolute;
    top: 0;
    width: 100%;
    padding-left: 8rem;
    left: 0;
}
.th-source {
    color: #28c76f !important;
}
.th-external {
    color: #7367f0 !important;
}
.th-system {
    color: #ff9f43 !important;
}
.th-other {
    color: #5d596c !important;
}
.source-lable-info {
    width: 18px;
    height: 18px;
    background: #28c76f;
    font-size: 0.8125rem;
    margin-bottom: 3px;
    margin-right: 3.5rem;
}
.system-lable-info {
    width: 18px;
    height: 18px;
    background: #ff9f43;
    font-size: 0.8125rem;
    margin-bottom: 3px;
    margin-right: 3.5rem;
}
.external-lable-info {
    width: 18px;
    height: 18px;
    background: #7367f0;
    font-size: 0.8125rem;
    margin-bottom: 3px;
    margin-right: 3.8rem;
}
.other-lable-info {
    width: 18px;
    height: 18px;
    background: #5d596c;
    font-size: 0.8125rem;
    margin-bottom: 3px;
    margin-right: 3.5rem;
}
.system-lable-info span,
.source-lable-info span,
.external-lable-info span,
.other-lable-info span {
    margin-left: 20px;
    display: flex;
}

.loader-overlay {
    position: fixed; /* Stays in place */
    top: 0;
    left: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    background-color: rgba(255, 255, 255, 0.8); /* Semi-transparent background */
    display: flex; /* Flexbox for centering */
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    z-index: 9999; /* On top of other elements */
}

/* Loader animation */
.loader {
    border: 8px solid #f3f3f3; /* Light gray border */
    border-top: 8px solid #3498db; /* Blue border on top */
    border-radius: 50%; /* Rounded shape */
    width: 50px; /* Loader width */
    height: 50px; /* Loader height */
    animation: spin 1s linear infinite; /* Spin animation */
}
.alert-dismissible .close {
    background: none;
    border: none;
    font-size: 24px;
}
.alert-dismissible .close span {
    right: 10px;
    position: absolute;
    top: 6px;
}
.alert-success .close span {
    color: #28c76f;
}
.pr-0 {
    padding-right: 0 !important;
}
.pl-0 {
    padding-left: 0 !important;
}
.pl-3 {
    padding-left: 1rem !important;
}
.pr-3 {
    padding-right: 1rem !important;
}
.mr-25, .mx-25 {
    margin-right: 0.25rem !important;
}
.mt-75, .my-75 {
    margin-top: 0.75rem !important;
}
.ml-1, .mx-1 {
    margin-left: 1rem !important;
}
.mr-1, .mx-1 {
    margin-right: 1rem !important;
}
.icon-padding {
    margin-right: 3px;
}
.btn .ti {
    margin-top: -3px;
    line-height: 0.15;
}
.default-avatar {
    border-radius: 5px !important;
}
.default-avatar-round {
    border-radius: 50% !important;
}
.avatar {
    white-space: nowrap;
    background-color: #c3c3c3;
    border-radius: 50%;
    position: relative;
    cursor: pointer;
    color: #fff;
    display: inline-flex;
    font-size: 1rem;
    text-align: center;
    vertical-align: middle;
    width: 40px;
    height: 40px;
}
.avatar-square {
    border-radius: 10%;
}
.avatar .avatar-content {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.avatar img {
    border-radius: 50%;
}
.media {
    display: flex;
    align-items: flex-start;
}
.bg-primary {
    background-color: #DB7B30 !important;
}
#layout-menu {
    transition: transform 0.3s ease, opacity 0.3s ease;
}
.select2-container {
    z-index: 10000;
}
.badge {
    display: inline-block;
    padding: 0.35em 0.4em;
    font-size: 80%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.badge-light-danger {
    background-color: rgba(130, 134, 139, 0.12);
    color: #82868b !important;
    font-weight: 700;
    padding: 7px;
}
.badge-light-success {
    background-color: rgba(40, 199, 111, 0.12);
    color: #28c76f !important;
    font-weight: 700;
    padding: 7px;
}
.badge-light-info {
    background-color: rgba(40, 199, 111, 0.12);
    color: #00bad1 !important;
    font-weight: 700;
    padding: 7px;
}
.badge-sm {
    font-size: 12px;
    padding: 5px;
}
.modal-title-section {
    margin-bottom: 2.5rem;
}
.navbar-nav-right .navbar-nav .nav-item {
    width: 45px;
    height: 35px;
    text-align: center;
    align-items: center;
}
.navbar-nav-right .navbar-nav .nav-item .nav-link i {
    block-size: 22px !important;
    font-size: 22px !important;
    inline-size: 22px !important;
}
.navbar-nav-right .navbar-nav .nav-item .nav-link .avatar {
    width: 35px;
    height: 35px;
}
.navbar-nav-right .navbar-nav .nav-item .nav-link .avatar .default-logo {
    width: 35px;
    height: 35px;
    font-size: 1.3rem;
}
.layout-menu-toggle.navbar-nav .nav-item.nav-link {
    margin-top: -7px;
}
.dropdown-item.active, .dropdown-item:active {
    background: linear-gradient(72.47deg, #ff512f 22.16%, #f09819 76.47%) !important;
    box-shadow: 0px 2px 6px 0px #f09819 !important;
    color: #fff !important;
}
.margin-auto {
    margin: auto !important;
}
.strike {
  text-decoration: line-through;
  text-decoration-thickness: 1.5px;
  text-decoration-style: solid;
}

.input-group {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    width: 100%;
}
.input-group-prepend {
    margin-right: -2px;
}
.input-group-prepend, .input-group-append {
    display: flex;
}
.input-group-text {
    display: flex;
    align-items: center;
    padding: 0.7rem 0.7rem;
    margin-bottom: 0;
    font-size: 0.96rem;
    font-weight: 400;
    line-height: 1.25;
    color: #4e5154;
    text-align: center;
    white-space: nowrap;
    background-color: #ededed;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    width: 2.5rem;
}
.input-group:has(.form-control.is-invalid) .input-group-prepend,
.input-group:has(.form-control.is-invalid) .input-group-text {
    border-color: #ea5455;
}

/* Spin animation keyframes */
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media only screen and (max-width: 576px) {
    .layout-page nav#layout-navbar {
        display: flex;
        padding: 10px;
    }
    .nav-align-left {
        display: block;
        margin-top: 20px;
    }
    .nav-align-left div:nth-child(2) {
        margin-top: 20px;
    }
}
@media (min-width: 768px) and (max-width: 991.98px) {
    .layout-page nav#layout-navbar {
        display: flex;
    }
    .nav-align-left {
        display: block;
        margin-top: 20px;
    }
    .nav-align-left div:nth-child(2) {
        margin-top: 20px;
    }
}
@media (min-width: 576px) {
    .mr-sm-1, .mx-sm-1 {
        margin-right: 1rem !important;
    }
}

@media (min-width: 576px) {
    .mb-sm-0, .my-sm-0 {
        margin-bottom: 0 !important;
    }
}
.mb-1, .my-1 {
    margin-bottom: 1rem !important;
}
.font-weight-bold {
    font-weight: 500;
}
@media (min-width: 992px) {
    .filter-sidebar {
        width: 14% !important;
    }
}
@media (max-width: 430px) {
    .filter-sidebar {
        width: 45% !important;
    }
}
@media (min-width: 768px) and (max-width: 991px) {
    .filter-sidebar {
        width: 22% !important;
    }
}
@media only screen and (max-width: 767px) {
    .content-wrapper .container {
        margin-top: 4.3rem;
    }
}
@media (min-width: 768px) {
    .content-wrapper .container {
        margin-top: 4.3rem;
    }
}
@media (max-width: 767.98px) {
    #change_language_dropdown {
        left: -1.1rem;
        width: 50%;
        margin: auto;
    }
    [dir=rtl] #change_language_dropdown {
        margin: auto auto auto 1rem;
    }
}
@media (min-width: 1200px) {
    .layout-navbar-fixed:not(.layout-menu-collapsed) .layout-content-navbar:not(.layout-without-menu) .layout-navbar,
    .layout-menu-fixed.layout-navbar-fixed:not(.layout-menu-collapsed) .layout-content-navbar:not(.layout-without-menu) .layout-navbar,
    .layout-menu-fixed-offcanvas.layout-navbar-fixed:not(.layout-menu-collapsed) .layout-content-navbar:not(.layout-without-menu) .layout-navbar,
    .layout-navbar-fixed.layout-menu-collapsed:not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-content-navbar .layout-navbar,
    .layout-menu-fixed.layout-navbar-fixed.layout-menu-collapsed .layout-content-navbar .layout-navbar {
        margin: 0;
        left: 0 !important;
        right: 0 !important;
    }
    .content-wrapper .container {
        margin-top: 3rem;
    }
}

/* RTL */
[dir=rtl] .ml-1, [dir=rtl] .mx-1 {
    margin-left: unset !important;
    margin-right: 1rem !important;
}
[dir=rtl] .mr-1, [dir=rtl] .mx-1 {
    margin-right: unset !important;
    margin-left: 1rem !important;
}
[dir=rtl] .icon-padding {
    margin-right: unset;
    margin-left: 8px;
}
@media (min-width: 576px) {
    [dir=rtl] .mr-sm-1, [dir=rtl] .mx-sm-1 {
        margin-right:unset !important;
        margin-left: 1rem !important;
    }
}
